function Tapes = load_tape_audio(file_name)
%load_tapes Loads all or specific tapes and returns them as vector of Tape
    if(strfind(file_name,'.hea'))
        [tm,signal] = rdsamp(file_name); 
    else        
        if ~strcmp(file_name(end-3:end), '.wav')
           file_name = [file_name, '.wav'];
        end
        
        [signal, fs] = audioread(file_name);
%         if(length(signal)>140000), len= 100000; signal=signal(end-len:end); end;        
%          len=min(length(signal),150000); 
%          signal=signal(1:len);
        tm = 1/fs*length(signal);
    end
    
    Tapes = Tape(file_name, 0, tm, signal);
end